\name{betr-package}
\alias{betr-package}
\docType{package}
\title{
Identify differentially expressed genes in microarray time-course experiments
}
\description{
The betr package implements the BETR (Bayesian Estimation of Temporal Regulation) algorithm.
}
\details{
\tabular{ll}{
Package: \tab betr\cr
Type: \tab Package\cr
License: \tab LGPL (>= 2.0)\cr
LazyLoad: \tab yes\cr
}

}
\author{
Martin Aryee
Maintainer: <aryee@jhu.edu>
}
\references{
Smyth, G. Linear models and empirical bayes methods for assessing differential expression in microarray experiments. Statistical applications in genetics and molecular biology (2004) vol. 3, article 3
Tai, Y and Speed, T. A multivariate empirical Bayes statistic for replicated microarray time course data. Annals of Statistics (2006) vol. 34 (5) pp. 2387-2412
}
\keyword{ ts }
\seealso{
    \code{\link{betr}}
}
\examples{
library(Biobase)    
data(timeEset)
prob <- betr(timeEset, cond=pData(timeEset)$strain, 
    timepoint=pData(timeEset)$time, replicate=pData(timeEset)$rep, alpha=0.05)
head(prob)
}
