\name{squeezeMVar}
\alias{squeezeMVar}
\title{Smooth sample covariance matrices}
\description{
An internal function to smooth a set of sample covariance matrices by computing empirical Bayes posterior means.
}
\usage{
squeezeMVar(S, df, Lambda = NULL, nu = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{S}{a list of covariance matrices}
  \item{df}{numeric vector of degrees of freedom for covariance matrices}
  \item{Lambda}{use this target covariance matrix instead of calculating it from the data}
  \item{nu}{use this nu instead of calculating it from the data}
}
\details{
Calculate shrinkage estimates for covariance matrices using the procedure of Tai and Speed (2006) and Smyth (2004)
}
\value{
  \item{varPost }{list of posterior covariance matrices}
  \item{varPrior }{target covariance matrix}
  \item{dfPrior }{prior degrees of freedom}
}
\references{
Smyth, G. Linear models and empirical bayes methods for assessing differential expression in microarray experiments. Statistical applications in genetics and molecular biology (2004) vol. 3

Tai, Y and Speed, T. A multivariate empirical Bayes statistic for replicated microarray time course data. Annals of Statistics (2006) vol. 34 (5) pp. 2387-2412
}
\author{Martin Aryee}
\seealso{\code{\link{betr}}}
